﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBLDevice.Coffee
{
    /// <summary>
    /// 警告
    /// </summary>
    public enum DrCoffeeWarning : long
    {
        无警告 = 0,
        蓄水盘未安装到位=0x01,
        容渣盒已满=0x02,
        水箱缺水=0x04,
        蓄水盘水满=0x08,
        桶装水缺水=0x10,
        废水桶水满=0x20,
        冲泡器未安装到位=0x40,
        门未关闭到位=0x80,
        豆盒1未安装到位=0x100,
        豆盒2未安装到位=0x200,
        豆盒3未安装到位=0x400,
        豆盒1缺豆=0x800,
        豆盒2缺豆=0x1000,
        豆盒3缺豆=0x2000,
        粉料盒1未安装到位=0x4000,
        粉料盒2未安装到位=0x8000,
        粉料盒3未安装到位=0x10000,
        粉料盒1缺粉=0x20000,
        粉料盒2缺粉=0x40000,
        粉料盒3缺粉=0x80000,
        研磨机校验=0x100000,
        咖啡机需要除垢=0x200000,
        冲煮系统需要清洗=0x400000,
        冲泡器需要清洁=0x800000,
        牛奶系统需要清洗=0x1000000,
        粉料系统需要清洗=0x2000000,
        牛奶温度过低=0x4000000,
        牛奶温度过高= 0x08000000,
        牛奶不足= 0x10000000,
        牛奶盒未安装= 0x20000000,
        系统缺水= 0x40000000,
        系统压力过大= 0x80000000,
        冲泡器自检= 0x100000000,
        分向阀自检= 0x200000000,
        环境温度过高= 0x400000000,
        环境温度过低= 0x800000000,
        咖啡锅炉温度过高= 0x1000000000,
        蒸汽锅炉温度过高= 0x2000000000,
        热水锅炉温度过高= 0x4000000000,
        咖啡锅炉温度过低= 0x8000000000,
        蒸汽锅炉温度过低= 0x10000000000,
        热水锅炉温度过低= 0x20000000000,
        系统补水超时= 0x40000000000,
        网络异常= 0x80000000000,
        蒸汽杆NTC异常= 0x100000000000,
        滤芯需要更换= 0x200000000000
    }
}
