﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBLConsole.Model
{
    public class SerialDeviceBase : UniversalBase
    {
        /// <summary>
        /// 串口端口
        /// </summary>
        public string ComSerialPort { get; set; }

        /// <summary>
        /// 波特率，110,300--115200（从300开始乘以2，直到结果等于115200）
        /// </summary>
        public string BaudRate { get; set; } = "9600";

        /// <summary>
        /// 数据位，默认为 8
        /// </summary>
        public int DataBit { get; set; } = 8;

        /// <summary>
        /// 停止位，默认为 1
        /// </summary>
        public int StopBit { get; set; } = 1;

        /// <summary>
        /// 站号，默认为 1
        /// </summary>
        public int StationNo { get; set; } = 1;

        /// <summary>
        /// 奇偶校验，无，奇校验，偶校验
        /// </summary>
        public string Parity { get; set; }
    }
}
