﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBLConsole.Model
{
    public enum EDeviceType
    {
        /// <summary>
        /// 西门子设备
        /// </summary>
        Siemens,
        /// <summary>
        /// Modbus RTU 设备
        /// </summary>
        ModbusRtu,
        /// <summary>
        /// Modbus TCP 设备
        /// </summary>
        ModbusTcp,
        /// <summary>
        /// 串口设备
        /// </summary>
        SerialPort,
        /// <summary>
        /// 博士咖啡机设备
        /// </summary>
        Coffee,
        /// <summary>
        /// 冰淇淋设备
        /// </summary>
        IceCream,
        /// <summary>
        /// 节卡机器人
        /// </summary>
        JAKA,
        /// <summary>
        /// 乐白机器人
        /// </summary>
        Lebai
    }
}
