﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.Toolkit.Mvvm.ComponentModel;

namespace HBLConsole.Model
{
    public class Alarm : ObservableObject
    {
        /// <summary>
        /// ID
        /// </summary>
        public int Id { get { return _mId; } set { _mId = value; OnPropertyChanged(); } }
        private int _mId;

        /// <summary>
        /// 日期
        /// </summary>
        public string Date { get { return _mDate; } set { _mDate = value; OnPropertyChanged(); } }
        private string _mDate;

        /// <summary>
        /// 时间
        /// </summary>
        public string Time { get { return _mTime; } set { _mTime = value; OnPropertyChanged(); } }
        private string _mTime;

        /// <summary>
        /// 报警信息
        /// </summary>
        public string Info { get { return _mInfo; } set { _mInfo = value; OnPropertyChanged(); } }
        private string _mInfo;

        /// <summary>
        /// 报警值
        /// </summary>
        public string Value { get { return _mValue; } set { _mValue = value; OnPropertyChanged(); } }
        private string _mValue;

        /// <summary>
        /// 报警等级
        /// </summary>
        public string Grade { get { return _mGrade; } set { _mGrade = value; OnPropertyChanged(); } }
        private string _mGrade;

    }
}
