﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace HBLDevice.IceCream
{
    /// <summary>
    /// 故障
    /// </summary>
    public enum MORKI_FAULT
    {
        未发生故障 = 0,

        通讯故障 = 1 >> 15,
        电流过载 = 1 >> 14,
        环境温度过高 = 1 >> 13,
        环境温度异常 = 1 >> 12,
        进气温度故障 = 1 >> 11,
        保鲜温度异常 = 1 >> 10,
        冷冻温度异常 = 1 >> 9,

        电压过高 = 1 >> 7,
        电压过低 = 1 >> 6,
        制冷不良 = 1 >> 5,
        转速传感器异常 = 1 >> 4,
        皮带打滑 = 1 >> 3,
        冻缸报警 = 1 >> 2,
        缺料报警 = 1 >> 1,
    }
}
